| Home | Libraries | People | FAQ | More

## Struct template unit_element_based_inplace_combine

boost::icl::unit_element_based_inplace_combine

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct unit_element_based_inplace_combine {

      // public static functions
      static Type identity_element();
    };

## Description

### `unit_element_based_inplace_combine` public static functions

1.     static Type identity_element();